POST/api/v2/vouchers/batch

POST /api/v2/vouchers/batch

Authentication

Send your API key in the x-api-key header on every request.

Parameters

Request parameters
FieldTypeRequiredDescription
Idempotency-Key (header)stringNo

Request body

application/json

Request body fields
FieldTypeRequiredDescription
CountunknownNo
SharedCodebooleanNo
NamestringYes
DescriptionstringNo
GroupPublicIdstring (uuid)No
TargetUserIdunknownNo
CustomCodestringNo
PrefixstringNo
TypestringNo
ValueunknownNo
CurrencystringNo
PerUserLimitunknownNo
MaximumTotalUsesunknownNo
MaximumAggregateValueunknownNo
RequiresWhitelabelApprovalbooleanNo
RequiresEmail2FabooleanNo
ValidFromstring (date-time)No
ValidUntilstring (date-time)No
InitialStatusstringNo
ExternalReferencestringNo
AcceptUnboundedLiabilitybooleanNo

Responses

200 — OK

Response 200 fields
FieldTypeRequiredDescription
Idstring (uuid)Yes
KindstringYes
StatusstringYes
TotalItemsunknownYes
SuccessfulItemsunknownYes
FailedItemsunknownYes
CreatedAtstring (date-time)Yes
CompletedAtstring (date-time)Yes

Example request

curl -X POST "https://{base_url}/api/v2/vouchers/batch" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"Name":"…"}'

This page is generated from the live OpenAPI specification and always matches the current API.